System.ComponentModel.DataAnnotations 4.0.0.0 System.Object System.IServiceProvider

This class describes the type or member on which validation is performed. It also enables custom validation to be added through any service that implements the interface.

Describes the context in which a validation check is performed.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified object instance

  The object instance to validate. It cannot be null.
- Constructor
  4.0.0.0

  If is null, an empty dictionary is created. If is not null, the set of key/value pairs is copied into a new dictionary, preventing consumers from modifying the original dictionary.

  Initializes a new instance of the class using the specified object and an optional property bag.

  The object instance to validate. It cannot be null
  An optional set of key/value pairs to make available to consumers.
- Constructor
  4.0.0.0

  The parameter represents a service that can be used by the method in order to perform custom validation.

  If the parameter is null, an empty dictionary is created. If the parameter is not null, the set of key/value pairs is copied into a new dictionary, which prevents the service consumers from modifying the original dictionary.

  Initializes a new instance of the class using the service provider and dictionary of service consumers.

  The object to validate. This parameter is required.
  The object that implements the interface. This parameter is optional.
  A dictionary of key/value pairs to make available to the service consumers. This parameter is optional.
- Property
  4.0.0.0
  System.String To be added.

  The value is the name that is shown to the user. If a display name is not explicitly set, this property uses the value that is assigned by the associated object. If that attribute does not exist, the property returns the value of the property.

  Gets or sets the name of the member to validate.

- Method
  4.0.0.0
  System.Object ``

  If the object is defined at the application level, the method accesses it to retrieve the requested service.

  If the object is not defined or it does not return the service, the method queries the object that is passed to the method in order to obtain the service.

  Returns the service that provides custom validation.

  An instance of the service, or null if the service is not available.

  The type of the service to use for validation.
- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes the using a service provider that can return service instances by type when GetService is called.

  The service provider.
- Property
  4.0.0.0
  System.Collections.Generic.IDictionary<System.Object,System.Object> To be added.

  This property is never null, but the dictionary can be empty. Changes made to items in this dictionary are reflected in the original dictionary that is specified in the constructor.

  Gets the dictionary of key/value pairs that is associated with this context.

- Property
  4.0.0.0
  System.String To be added.

  This property represents an entity member name, not the name of a corresponding data field. Therefore, this name is not a localized name. It should be set only for property or parameter contexts.

  Gets or sets the name of the member to validate.

- Property
  4.0.0.0
  System.Object To be added.

  During validation, especially during property-level validation, the object instance could be in an indeterminate state.

  Gets the object to validate.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the object to validate.

- Property
  4.0.0.0
  System.ComponentModel.Design.IServiceContainer To be added.

  The property is used for getting services during validation.

  If the provider that is specified in the constructor implements the interface, the provider is used to initialize the property. Otherwise the property is initialized to an empty container.

  Gets the validation services container.